Lattice Hub 文档
HTTP OpenAPIAI Registry

MCP Registry

MCP Server / Tool 注册发现。

MCP Server / Tool 注册发现。

默认 Base URL:http://127.0.0.1:8090。管理面接口需 Authorization(登录返回的 token)。

MCP Registry

MCP Server / Tool 注册发现元数据,不是执行引擎。

GET/ai/mcp/v1/servers需要鉴权

列出 MCP Server

查询 MCP Server 列表。

  • Authorizationheader · string必填

    登录返回的 token。

  • namequery · string可选

    name

  • namespacequery · string可选

    namespace

  • businessquery · string可选

    business

  • departmentquery · string可选

    department

  • protocolquery · string可选

    protocol

  • offsetquery · uint32可选

    offset

  • limitquery · uint32可选

    limit

  • backend_typequery · string可选

    backend_type

  • backend_service_namespacequery · string可选

    backend_service_namespace

  • backend_service_namequery · string可选

    backend_service_name

请求示例
curl -sS 'http://127.0.0.1:8090/ai/mcp/v1/servers?namespace=default' \
  -H "Authorization: $TOKEN"
响应示例
{
  "code": 200000,
  "info": "execute success",
  "servers": [{ "name": "docs-mcp", "namespace": "default" }]
}
POST/ai/mcp/v1/servers需要鉴权

创建 MCP Server

创建 MCP Server;body 字段以运行时/注解为准。

  • Authorizationheader · string必填

    登录返回的 token。

  • (body)body · MCPServer[]必填

    请求体为 MCPServer 的 JSON 数组:[{...}, ...]。下列字段为数组中单条对象的完整字段(含嵌套)。

  • idbody · string可选

    id

  • namebody · string必填

    name

  • namespacebody · string必填

    namespace

  • portsbody · string可选

    ports

  • businessbody · string可选

    business

  • departmentbody · string可选

    department

  • descriptionbody · string可选

    description

  • referencebody · string可选

    reference

  • protocolbody · string可选

    protocol

  • export_tobody · string可选

    export_to

  • backend_typebody · string可选

    backend_type indicates how this MCP server reaches its backend. Supported values: service, address.

  • backend_service_namespacebody · string可选

    backend_service_namespace is set when backend_type is service.

  • backend_service_namebody · string可选

    backend_service_name is set when backend_type is service.

  • backend_addressbody · string可选

    backend_address is set when backend_type is address.

  • codebody · uint32必填

    业务码,成功多为 200000。

  • infobody · string可选

    提示信息。

  • mCPServerbody · MCPServer可选

    返回中的 MCPServer 实体字段(批量接口在 responses[] 内)。

    • idbody · string可选

      id

    • namebody · string可选

      name

    • namespacebody · string可选

      namespace

    • portsbody · string可选

      ports

    • businessbody · string可选

      business

    • departmentbody · string可选

      department

    • descriptionbody · string可选

      description

    • revisionbody · string可选

      revision

    • flagbody · uint32可选

      flag

    • referencebody · string可选

      reference

    • protocolbody · string可选

      protocol

    • ctimebody · string可选

      ctime

    • mtimebody · string可选

      mtime

    • export_tobody · string可选

      export_to

    • backend_typebody · string可选

      backend_type indicates how this MCP server reaches its backend. Supported values: service, address.

    • backend_service_namespacebody · string可选

      backend_service_namespace is set when backend_type is service.

    • backend_service_namebody · string可选

      backend_service_name is set when backend_type is service.

    • backend_addressbody · string可选

      backend_address is set when backend_type is address.

请求示例
curl -sS -X POST 'http://127.0.0.1:8090/ai/mcp/v1/servers' \
  -H "Authorization: $TOKEN" \
  -H 'Content-Type: application/json' \
  -d '[{"name":"docs-mcp","namespace":"default"}]'
响应示例
{
  "code": 200000,
  "info": "execute success",
  "amount": 1
}
GET/ai/mcp/v1/server/tools需要鉴权

列出 MCP Tool

查询某 MCP Server 下的 Tool。

  • Authorizationheader · string必填

    登录返回的 token。

  • server_idquery · string可选

    MCP Server ID。

  • namespacequery · string可选

    命名空间。

请求示例
curl -sS 'http://127.0.0.1:8090/ai/mcp/v1/server/tools?server_id=<id>' \
  -H "Authorization: $TOKEN"
响应示例
{
  "code": 200000,
  "info": "execute success",
  "tools": [{ "name": "search_docs" }]
}
PUT/ai/mcp/v1/servers需要鉴权

更新 MCP Server

更新 MCP Server。

  • Authorizationheader · string必填

    登录返回的 token。

  • (body)body · MCPServer[]必填

    请求体为 MCPServer 的 JSON 数组;下列为单条字段。

  • idbody · string可选

    id

  • namebody · string可选

    name

  • namespacebody · string可选

    namespace

  • portsbody · string可选

    ports

  • businessbody · string可选

    business

  • departmentbody · string可选

    department

  • descriptionbody · string可选

    description

  • referencebody · string可选

    reference

  • protocolbody · string可选

    protocol

  • export_tobody · string可选

    export_to

  • backend_typebody · string可选

    backend_type

  • backend_service_namespacebody · string可选

    backend_service_namespace

  • backend_service_namebody · string可选

    backend_service_name

  • backend_addressbody · string可选

    backend_address

  • codebody · uint32必填

    业务码。

  • infobody · string可选

    提示信息。

  • MCPServerbody · MCPServer可选

    实体字段。

    • idbody · string可选

      id

    • namebody · string可选

      name

    • namespacebody · string可选

      namespace

    • portsbody · string可选

      ports

    • businessbody · string可选

      business

    • departmentbody · string可选

      department

    • descriptionbody · string可选

      description

    • revisionbody · string可选

      revision

    • flagbody · uint32可选

      flag

    • referencebody · string可选

      reference

    • protocolbody · string可选

      protocol

    • ctimebody · string可选

      ctime

    • mtimebody · string可选

      mtime

    • export_tobody · string可选

      export_to

    • backend_typebody · string可选

      backend_type

    • backend_service_namespacebody · string可选

      backend_service_namespace

    • backend_service_namebody · string可选

      backend_service_name

    • backend_addressbody · string可选

      backend_address

请求示例
curl -sS -X PUT 'http://127.0.0.1:8090/ai/mcp/v1/servers' \
  -H "Authorization: $TOKEN" \
  -H 'Content-Type: application/json' \
  -d '[]'
响应示例
{
  "code": 200000,
  "info": "execute success"
}
POST/ai/mcp/v1/servers/delete需要鉴权

删除 MCP Server

删除 MCP Server。

  • Authorizationheader · string必填

    登录返回的 token。

  • idsbody · string[]可选

    MCP Server ID 列表。

  • namespacebody · string可选

    命名空间。

  • codebody · uint32必填

    业务码。

  • infobody · string可选

    提示信息。

  • MCPServerDeleteRequestbody · MCPServerDeleteRequest可选

    实体字段。

    • idsbody · string[]可选

      MCP Server ID 列表。

    • namespacebody · string可选

      命名空间。

请求示例
curl -sS -X POST 'http://127.0.0.1:8090/ai/mcp/v1/servers/delete' \
  -H "Authorization: $TOKEN" \
  -H 'Content-Type: application/json' \
  -d '[]'
响应示例
{
  "code": 200000,
  "info": "execute success"
}
POST/ai/mcp/v1/self-capabilities/probe需要鉴权

自研能力探测

内部能力探测接口。

  • Authorizationheader · string必填

    登录返回的 token。

请求示例
curl -sS -X POST 'http://127.0.0.1:8090/ai/mcp/v1/self-capabilities/probe' \
  -H "Authorization: $TOKEN"
响应示例
{
  "code": 200000,
  "info": "execute success"
}
GET/ai/mcp/v1/sse需要鉴权

MCP SSE(GET)

MCP 协议传输通道,非 Console CRUD。

  • Authorizationheader · string必填

    登录返回的 token。

请求示例
curl -sS -X GET 'http://127.0.0.1:8090/ai/mcp/v1/sse' \
  -H "Authorization: $TOKEN"
响应示例
{
  "code": 200000,
  "info": "execute success"
}
POST/ai/mcp/v1/sse需要鉴权

MCP SSE(POST)

MCP 协议传输通道。

  • Authorizationheader · string必填

    登录返回的 token。

请求示例
curl -sS -X POST 'http://127.0.0.1:8090/ai/mcp/v1/sse' \
  -H "Authorization: $TOKEN"
响应示例
{
  "code": 200000,
  "info": "execute success"
}
GET/ai/mcp/v1/message需要鉴权

MCP Message(GET)

MCP 协议消息通道。

  • Authorizationheader · string必填

    登录返回的 token。

请求示例
curl -sS -X GET 'http://127.0.0.1:8090/ai/mcp/v1/message' \
  -H "Authorization: $TOKEN"
响应示例
{
  "code": 200000,
  "info": "execute success"
}
POST/ai/mcp/v1/message需要鉴权

MCP Message(POST)

MCP 协议消息通道。

  • Authorizationheader · string必填

    登录返回的 token。

请求示例
curl -sS -X POST 'http://127.0.0.1:8090/ai/mcp/v1/message' \
  -H "Authorization: $TOKEN"
响应示例
{
  "code": 200000,
  "info": "execute success"
}

On this page